<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title>Article Managemement System</title>
    <style>
        table {
            width: 100%;
        }
        table, tr, td, th{
            border-collapse: collapse;
            border: 1px solid #333;
            padding: 10px;
        }
        .wrap{
            width: 1200px;
            margin: 0 auto;
        }
        .container{
            display: flex;
            flex-flow: column;
        }
        label {
            width: 100%;
            padding: 10px;
            text-transform: uppercase;
            color: #144220;
        }

        input[type="text"] {
            width: 100%;
            font-size: 16px;
            padding: 7px;
            margin-top: 10px;
            border: 1px solid #399e54;
        }

        input[type="submit"] {
            padding: 10px 30px;
            font-size: 15px;
            border: 0;
            background: #338c4b;
            color: #fff;
            cursor: pointer;
        }
        button {
            margin-top: 20px;
            padding: 7px 15px;
            background: #009688;
            border: 0;
        }

        button a {
            text-decoration: none;
            color: #fff;
            font-size: 15px;
        }
        h1 {
            text-align: center;
            text-transform: uppercase;
            color: #3d6f25;
            background: #e2e6e1;
            padding: 5px;
        }

    </style>
</head>
<body>
    <div class="wrap">
        <h1>Article List</h1>
        <table>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Description</th>
                <th>Author</th>
                <th>Crate Date</th>
                <th colspan="3">Action</th>
            </tr>
            <tr th:each="article: ${articles}" th:object="${article}">
                <td th:text="*{id}"></td>
                <td th:text="*{title}"></td>
                <td th:text="*{description}"></td>
                <td th:text="*{author}"></td>
                <td th:text="*{createDate}"></td>
                <td><a th:href="@{/article/{id}(id=*{id})}"/>View</a> </td>
                <td><a th:href="@{/update/{id}(id=*{id})}"/>Update</a> </td>
                <td><a th:href="@{/delete/{id}(id=*{id})}"/>Delete</a> </td>
            </tr>
        </table>
        <button type="button"><a href="/add">Add New</a></button>
    </div>
</body>
</html>